from keras.preprocessing import pad_sequences
from keras.models import Sequential
from keras.layers.core import Dense
from keras.layers.core import Dropout
from keras.layers.core import Activation
from keras.layers.embeddings import Embedding
from keras.layers.recurrent import LSTM

model=Sequential()
model.add(Embedding(max_features, 
                    128, 
                    input_length=75))
model.add(LSTM(128))
model.add(Dropout(0.5))
# nb_classes is the number of classes in
# the training set
model.add(Dense(nb_classes)) 
model.add(Activation('softmax'))

model.compile(loss='categorical_crossentropy',
              optimizer='rmsprop')

# Pad sequence where sequences are case 
# insensitive characters encoded to 
# integers from 0 to number of valid 
# characters
X_train=sequence.pad_sequences(X_train, 
                               maxlen=75)

# Train where y_train is one-hot encoded for
# each class
model.fit(X_train, y_train, 
          batch_size=batch_size, nb_epoch=1)